import { jsx } from "react/jsx-runtime";
import { CaretRightIcon } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const CaretRight = forwardRef(
  ({ variant = "regular", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, "data-name": "CaretRight", ...props, children: /* @__PURE__ */ jsx(CaretRightIcon, { weight: variant }) });
  }
);
CaretRight.displayName = "CaretRight";
Object.assign(CaretRight, { isGdsIcon: true });
export {
  CaretRight
};
